# gst validate pad monitor

TODO

## GstValidatePadMonitor

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstValidateMonitor
                    ╰──GstValidatePadMonitor

GStreamer Validate PadMonitor class.

Class that wraps a GstPad for Validate checks

### Members

`parent` (GstValidateMonitor) –
No description available
`setup` (gboolean) –
No description available
`chain_func` (GstPadChainFunction) –
No description available
`event_func` (GstPadEventFunction) –
No description available
`event_full_func` (GstPadEventFullFunction) –
No description available
`query_func` (GstPadQueryFunction) –
No description available
`activatemode_func` (GstPadActivateModeFunction) –
No description available
`get_range_func` (GstPadGetRangeFunction) –
No description available
`pad_probe_id` (gulong) –
No description available

### Class structure

#### GstValidatePadMonitorClass

GStreamer Validate PadMonitor object class.

##### Fields

`parent_class` (GstValidateMonitorClass) –

parent

### GstValidate.PadMonitorClass

GStreamer Validate PadMonitor object class.

##### Attributes

`parent_class` (GstValidate.MonitorClass) –

parent

### GstValidate.PadMonitorClass

GStreamer Validate PadMonitor object class.

##### Attributes

`parent_class` (GstValidate.MonitorClass) –

parent

## GstValidate.PadMonitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.PadMonitor

GStreamer Validate PadMonitor class.

Class that wraps a Gst.Pad for Validate checks

### Members

`parent` (GstValidate.Monitor) –
No description available
`setup` (Number) –
No description available
`chain_func` (Gst.PadChainFunction) –
No description available
`event_func` (Gst.PadEventFunction) –
No description available
`event_full_func` (Gst.PadEventFullFunction) –
No description available
`query_func` (Gst.PadQueryFunction) –
No description available
`activatemode_func` (Gst.PadActivateModeFunction) –
No description available
`get_range_func` (Gst.PadGetRangeFunction) –
No description available
`pad_probe_id` (Number) –
No description available

## GstValidate.PadMonitor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.Monitor
                    ╰──GstValidate.PadMonitor

GStreamer Validate PadMonitor class.

Class that wraps a Gst.Pad for Validate checks

### Members

`parent` (GstValidate.Monitor) –
No description available
`setup` (bool) –
No description available
`chain_func` (Gst.PadChainFunction) –
No description available
`event_func` (Gst.PadEventFunction) –
No description available
`event_full_func` (Gst.PadEventFullFunction) –
No description available
`query_func` (Gst.PadQueryFunction) –
No description available
`activatemode_func` (Gst.PadActivateModeFunction) –
No description available
`get_range_func` (Gst.PadGetRangeFunction) –
No description available
`pad_probe_id` (int) –
No description available

### Constructors

#### gst_validate_pad_monitor_new

    GstValidatePadMonitor *
    gst_validate_pad_monitor_new (GstPad * pad,
                                  GstValidateRunner * runner,
                                  GstValidateElementMonitor * parent)

Parameters:

`pad` ( [transfer: none]) –

a GstPad to run Validate on

`runner` ( [transfer: none]) –

a GstValidateRunner

`parent` ( [nullable]) –

The parent of the new monitor

Returns ( [transfer: full]) –

A GstValidatePadMonitor

#### GstValidate.PadMonitor.prototype.new

    function GstValidate.PadMonitor.prototype.new(pad: Gst.Pad, runner: GstValidate.Runner, parent: GstValidate.ElementMonitor): {
        // javascript wrapper for 'gst_validate_pad_monitor_new'
    }

Parameters:

`pad` (Gst.Pad) –

a Gst.Pad to run Validate on

`runner` (GstValidate.Runner) –

a GstValidate.Runner

`parent` (GstValidate.ElementMonitor) –

The parent of the new monitor

Returns (GstValidate.PadMonitor) –

A GstValidate.PadMonitor

#### GstValidate.PadMonitor.new

    def GstValidate.PadMonitor.new (pad, runner, parent):
        #python wrapper for 'gst_validate_pad_monitor_new'

Parameters:

`pad` (Gst.Pad) –

a Gst.Pad to run Validate on

`runner` (GstValidate.Runner) –

a GstValidate.Runner

`parent` (GstValidate.ElementMonitor) –

The parent of the new monitor

Returns (GstValidate.PadMonitor) –

A GstValidate.PadMonitor

## GstValidatePadSeekData

## GstValidate.PadSeekData

## Function Macros

### GST_IS_VALIDATE_PAD_MONITOR

    #define GST_IS_VALIDATE_PAD_MONITOR(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_PAD_MONITOR))

### GST_IS_VALIDATE_PAD_MONITOR_CLASS

    #define GST_IS_VALIDATE_PAD_MONITOR_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GST_TYPE_VALIDATE_PAD_MONITOR))

### GST_VALIDATE_PAD_MONITOR_CAST

    #define GST_VALIDATE_PAD_MONITOR_CAST(obj)            ((GstValidatePadMonitor*)(obj))

### GST_VALIDATE_PAD_MONITOR_CLASS_CAST

    #define GST_VALIDATE_PAD_MONITOR_CLASS_CAST(klass)    ((GstValidatePadMonitorClass*)(klass))

## Constants

### GST_TYPE_VALIDATE_PAD_MONITOR

    #define GST_TYPE_VALIDATE_PAD_MONITOR			(gst_validate_pad_monitor_get_type ())

The results of the search are